;InnoSetupVersion=5.0.4

[Setup]
AppName=AudioShell
AppVerName=AudioShell 1.0
AppId=AudioShell
AppVersion=1
AppPublisher=Softpointer Inc
AppPublisherURL=http://www.softpointer.com/
AppSupportURL=http://www.softpointer.com/ms.htm
AppUpdatesURL=http://www.softpointer.com/ms.htm
DefaultDirName={pf}\AudioShell
DefaultGroupName=AudioShell
OutputBaseFilename=AudioShell1
Compression=zip
PrivilegesRequired=none
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\License.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.htm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Whatsnew.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\pic\01.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\02.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\03.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\04.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\05.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\06.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\07.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\08.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\09.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\pic\10.png"; DestDir: "{app}\pic"; Flags: ignoreversion 
Source: "{app}\AudioShellExt.dll"; DestDir: "{app}"; Flags: restartreplace regserver noregerror uninsrestartdelete 

[Run]
Filename: "{app}\readme.htm"; Description: "View ReadMe (highly recommended)"; Flags: shellexec postinstall nowait

[UninstallRun]
Filename: "regsvr32.exe"; Parameters: "/s /u AudioShellExt.dll"; WorkingDir: "{app}"; Flags: skipifdoesntexist 

[Icons]
Name: "{group}\AudioShell ReadMe"; Filename: "{app}\readme.htm"; 

[UninstallDelete]
Type: files; Name: "{app}\AudioShellExt.dll"; 
Type: dirifempty; Name: "{app}"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
